Skip to main content
POST
/
api
/
public
/
v1
/
sender-accounts
/
{inbox_id}
/
test-email
Send test email
curl --request POST \
  --url https://api.coldsend.pro/api/public/v1/sender-accounts/{inbox_id}/test-email \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "recipient_email": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inbox_email": "<string>",
  "recipient_email": "<string>",
  "sent_at": "2023-11-07T05:31:56Z",
  "message_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key with format cs_live_xxx

Path Parameters

inbox_id
string<uuid>
required

Sender account ID

Body

application/json

Request to send a test email from a sender account.

recipient_email
string
required

Recipient email address for the test email

Required string length: 5 - 255

Response

Test email sent

Response for test email sending.

success
boolean
required
message
string
required
inbox_id
string<uuid>
required

Inbox ID

inbox_email
string
required

Sender email address

recipient_email
string
required

Recipient email address

sent_at
string<date-time>
required

When the email was sent

message_id
string | null

Message ID if sent successfully